<template>
  <textarea
    :value="value"
    class="textarea"
    :disabled="disabled"
    v-on:input="$emit('handle-input', $event)"
  >
  </textarea>
</template>
<script>
export default {
  name: "TextareaComponent",
  props: {
    disabled: Boolean,
    value: [String, Boolean, Array],
  },
  emits: ["handle-input"],
};
</script>
<style lang="scss">
.textarea {
  width: 100%;
  max-width: 260px;
  background: #f5f5f5;
  border: 2px solid #b3b3b3;
  box-sizing: border-box;
  border-radius: 5px;
  min-height: 74px;
  font-size: 12px;
  line-height: 1.4;
  resize: none;
  &:disabled {
    background: #e6e6e6;
    font-size: 0;
  }
}
</style>